<?php

namespace Geniki;

/**
 * Class which returns the class map definition
 * @package Geniki
 */
class GenikiClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Add3rdPartyShipper' => '\\Geniki\\GenikiStruct\\GenikiAdd3rdPartyShipper',
            'Add3rdPartyShipperResponse' => '\\Geniki\\GenikiStruct\\GenikiAdd3rdPartyShipperResponse',
            'Add3rdPartyShipperResult' => '\\Geniki\\GenikiStruct\\GenikiAdd3rdPartyShipperResult',
            'MethodResult' => '\\Geniki\\GenikiStruct\\GenikiMethodResult',
            'ThirdPartyShipper' => '\\Geniki\\GenikiStruct\\GenikiThirdPartyShipper',
            'CreateClientVoucherJob' => '\\Geniki\\GenikiStruct\\GenikiCreateClientVoucherJob',
            'Record' => '\\Geniki\\GenikiStruct\\GenikiRecord',
            'CreateClientVoucherJobResponse' => '\\Geniki\\GenikiStruct\\GenikiCreateClientVoucherJobResponse',
            'CreateJobResult' => '\\Geniki\\GenikiStruct\\GenikiCreateJobResult',
            'JobMethodResult' => '\\Geniki\\GenikiStruct\\GenikiJobMethodResult',
            'ArrayOfRecord' => '\\Geniki\\GenikiArray\\GenikiArrayOfRecord',
            'CreateGroupedVoucherJob' => '\\Geniki\\GenikiStruct\\GenikiCreateGroupedVoucherJob',
            'ArrayOfString' => '\\Geniki\\GenikiArray\\GenikiArrayOfString',
            'CreateGroupedVoucherJobResponse' => '\\Geniki\\GenikiStruct\\GenikiCreateGroupedVoucherJobResponse',
            'CreateGroupedVoucherJobResult' => '\\Geniki\\GenikiStruct\\GenikiCreateGroupedVoucherJobResult',
            'ArrayOfGroupingRecord' => '\\Geniki\\GenikiArray\\GenikiArrayOfGroupingRecord',
            'GroupingRecord' => '\\Geniki\\GenikiStruct\\GenikiGroupingRecord',
            'CreateReturnRequest' => '\\Geniki\\GenikiStruct\\GenikiCreateReturnRequest',
            'ReturnRecord' => '\\Geniki\\GenikiStruct\\GenikiReturnRecord',
            'CreateReturnRequestResponse' => '\\Geniki\\GenikiStruct\\GenikiCreateReturnRequestResponse',
            'CreateReturnRequestResult' => '\\Geniki\\GenikiStruct\\GenikiCreateReturnRequestResult',
            'CreateVoucherReturnRequest' => '\\Geniki\\GenikiStruct\\GenikiCreateVoucherReturnRequest',
            'CreateVoucherReturnRequestResponse' => '\\Geniki\\GenikiStruct\\GenikiCreateVoucherReturnRequestResponse',
            'UpdateReturnRequestParams' => '\\Geniki\\GenikiStruct\\GenikiUpdateReturnRequestParams',
            'UpdateReturnRequestParamsResponse' => '\\Geniki\\GenikiStruct\\GenikiUpdateReturnRequestParamsResponse',
            'GetReturnRequest' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequest',
            'GetReturnRequestResponse' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestResponse',
            'GetReturnRequestResult' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestResult',
            'GetReturnRequestOfVoucher' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestOfVoucher',
            'GetReturnRequestOfVoucherResponse' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestOfVoucherResponse',
            'GetReturnRequestPdf' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestPdf',
            'GetReturnRequestPdfResponse' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestPdfResponse',
            'GetReturnRequestsPdf' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestsPdf',
            'GetReturnRequestsPdfResponse' => '\\Geniki\\GenikiStruct\\GenikiGetReturnRequestsPdfResponse',
            'TrackDeliveryStatus' => '\\Geniki\\GenikiStruct\\GenikiTrackDeliveryStatus',
            'TrackDeliveryStatusResponse' => '\\Geniki\\GenikiStruct\\GenikiTrackDeliveryStatusResponse',
            'TrackDeliveryStatusResult' => '\\Geniki\\GenikiStruct\\GenikiTrackDeliveryStatusResult',
            'Authenticate' => '\\Geniki\\GenikiStruct\\GenikiAuthenticate',
            'AuthenticateResponse' => '\\Geniki\\GenikiStruct\\GenikiAuthenticateResponse',
            'AuthenticateResult' => '\\Geniki\\GenikiStruct\\GenikiAuthenticateResult',
            'CreateJob' => '\\Geniki\\GenikiStruct\\GenikiCreateJob',
            'CreateJobResponse' => '\\Geniki\\GenikiStruct\\GenikiCreateJobResponse',
            'AddJobReport' => '\\Geniki\\GenikiStruct\\GenikiAddJobReport',
            'AddJobReportResponse' => '\\Geniki\\GenikiStruct\\GenikiAddJobReportResponse',
            'GetVoucherJob' => '\\Geniki\\GenikiStruct\\GenikiGetVoucherJob',
            'GetVoucherJobResponse' => '\\Geniki\\GenikiStruct\\GenikiGetVoucherJobResponse',
            'GetVoucherJobResult' => '\\Geniki\\GenikiStruct\\GenikiGetVoucherJobResult',
            'VoucherJob' => '\\Geniki\\GenikiStruct\\GenikiVoucherJob',
            'BaseJob' => '\\Geniki\\GenikiStruct\\GenikiBaseJob',
            'ClosePendingJobs' => '\\Geniki\\GenikiStruct\\GenikiClosePendingJobs',
            'ClosePendingJobsResponse' => '\\Geniki\\GenikiStruct\\GenikiClosePendingJobsResponse',
            'ClosePendingJobsByDate' => '\\Geniki\\GenikiStruct\\GenikiClosePendingJobsByDate',
            'ClosePendingJobsByDateResponse' => '\\Geniki\\GenikiStruct\\GenikiClosePendingJobsByDateResponse',
            'CancelJob' => '\\Geniki\\GenikiStruct\\GenikiCancelJob',
            'CancelJobResponse' => '\\Geniki\\GenikiStruct\\GenikiCancelJobResponse',
            'CancelAndCloseJob' => '\\Geniki\\GenikiStruct\\GenikiCancelAndCloseJob',
            'CancelAndCloseJobResponse' => '\\Geniki\\GenikiStruct\\GenikiCancelAndCloseJobResponse',
            'GetJobsFromOrderId' => '\\Geniki\\GenikiStruct\\GenikiGetJobsFromOrderId',
            'GetJobsFromOrderIdResponse' => '\\Geniki\\GenikiStruct\\GenikiGetJobsFromOrderIdResponse',
            'GetJobsResult' => '\\Geniki\\GenikiStruct\\GenikiGetJobsResult',
            'ArrayOfVoucherJob' => '\\Geniki\\GenikiArray\\GenikiArrayOfVoucherJob',
            'GetJobs' => '\\Geniki\\GenikiStruct\\GenikiGetJobs',
            'QueryParameters' => '\\Geniki\\GenikiStruct\\GenikiQueryParameters',
            'GetJobsResponse' => '\\Geniki\\GenikiStruct\\GenikiGetJobsResponse',
            'TrackAndTrace' => '\\Geniki\\GenikiStruct\\GenikiTrackAndTrace',
            'TrackAndTraceResponse' => '\\Geniki\\GenikiStruct\\GenikiTrackAndTraceResponse',
            'TrackAndTraceResult' => '\\Geniki\\GenikiStruct\\GenikiTrackAndTraceResult',
            'ArrayOfCheckpoint' => '\\Geniki\\GenikiArray\\GenikiArrayOfCheckpoint',
            'Checkpoint' => '\\Geniki\\GenikiStruct\\GenikiCheckpoint',
            'ChangePassword' => '\\Geniki\\GenikiStruct\\GenikiChangePassword',
            'ChangePasswordResponse' => '\\Geniki\\GenikiStruct\\GenikiChangePasswordResponse',
            'GetVoucherPdf' => '\\Geniki\\GenikiStruct\\GenikiGetVoucherPdf',
            'GetVoucherPdfResponse' => '\\Geniki\\GenikiStruct\\GenikiGetVoucherPdfResponse',
            'GetVouchersPdf' => '\\Geniki\\GenikiStruct\\GenikiGetVouchersPdf',
            'GetVouchersPdfResponse' => '\\Geniki\\GenikiStruct\\GenikiGetVouchersPdfResponse',
            'AddExtraInfo' => '\\Geniki\\GenikiStruct\\GenikiAddExtraInfo',
            'AddExtraInfoResponse' => '\\Geniki\\GenikiStruct\\GenikiAddExtraInfoResponse',
            'GetShopsList' => '\\Geniki\\GenikiStruct\\GenikiGetShopsList',
            'GetShopsListResponse' => '\\Geniki\\GenikiStruct\\GenikiGetShopsListResponse',
            'GetShopsResult' => '\\Geniki\\GenikiStruct\\GenikiGetShopsResult',
            'ArrayOfShop' => '\\Geniki\\GenikiArray\\GenikiArrayOfShop',
            'Shop' => '\\Geniki\\GenikiStruct\\GenikiShop',
            'CalculateCost' => '\\Geniki\\GenikiStruct\\GenikiCalculateCost',
            'CalculateCostResponse' => '\\Geniki\\GenikiStruct\\GenikiCalculateCostResponse',
            'CalculateCostResult' => '\\Geniki\\GenikiStruct\\GenikiCalculateCostResult',
            'CalculateDay' => '\\Geniki\\GenikiStruct\\GenikiCalculateDay',
            'CalculateDayResponse' => '\\Geniki\\GenikiStruct\\GenikiCalculateDayResponse',
            'CalculateDayResult' => '\\Geniki\\GenikiStruct\\GenikiCalculateDayResult',
            'Helper' => '\\Geniki\\GenikiStruct\\GenikiHelper',
            'ArrayOfAnyType' => '\\Geniki\\GenikiArray\\GenikiArrayOfAnyType',
            'HelperResponse' => '\\Geniki\\GenikiStruct\\GenikiHelperResponse',
            'Echo' => '\\Geniki\\GenikiStruct\\GenikiEcho',
            'EchoResponse' => '\\Geniki\\GenikiStruct\\GenikiEchoResponse',
        );
    }
}
