<?php

namespace Geniki\GenikiStruct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateGroupedVoucherJob GenikiStruct
 * @package Geniki
 * @subpackage Structs
 */
class GenikiCreateGroupedVoucherJob extends AbstractStructBase
{
    /**
     * The sAuthKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAuthKey;
    /**
     * The oVoucher
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Geniki\GenikiStruct\GenikiRecord
     */
    public $oVoucher;
    /**
     * The groupedVoucherNumbers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Geniki\GenikiArray\GenikiArrayOfString
     */
    public $groupedVoucherNumbers;
    /**
     * Constructor method for CreateGroupedVoucherJob
     * @uses GenikiCreateGroupedVoucherJob::setSAuthKey()
     * @uses GenikiCreateGroupedVoucherJob::setOVoucher()
     * @uses GenikiCreateGroupedVoucherJob::setGroupedVoucherNumbers()
     * @param string $sAuthKey
     * @param \Geniki\GenikiStruct\GenikiRecord $oVoucher
     * @param \Geniki\GenikiArray\GenikiArrayOfString $groupedVoucherNumbers
     */
    public function __construct($sAuthKey = null, \Geniki\GenikiStruct\GenikiRecord $oVoucher = null, \Geniki\GenikiArray\GenikiArrayOfString $groupedVoucherNumbers = null)
    {
        $this
            ->setSAuthKey($sAuthKey)
            ->setOVoucher($oVoucher)
            ->setGroupedVoucherNumbers($groupedVoucherNumbers);
    }
    /**
     * Get sAuthKey value
     * @return string|null
     */
    public function getSAuthKey()
    {
        return $this->sAuthKey;
    }
    /**
     * Set sAuthKey value
     * @param string $sAuthKey
     * @return \Geniki\GenikiStruct\GenikiCreateGroupedVoucherJob
     */
    public function setSAuthKey($sAuthKey = null)
    {
        // validation for constraint: string
        if (!is_null($sAuthKey) && !is_string($sAuthKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAuthKey, true), gettype($sAuthKey)), __LINE__);
        }
        $this->sAuthKey = $sAuthKey;
        return $this;
    }
    /**
     * Get oVoucher value
     * @return \Geniki\GenikiStruct\GenikiRecord|null
     */
    public function getOVoucher()
    {
        return $this->oVoucher;
    }
    /**
     * Set oVoucher value
     * @param \Geniki\GenikiStruct\GenikiRecord $oVoucher
     * @return \Geniki\GenikiStruct\GenikiCreateGroupedVoucherJob
     */
    public function setOVoucher(\Geniki\GenikiStruct\GenikiRecord $oVoucher = null)
    {
        $this->oVoucher = $oVoucher;
        return $this;
    }
    /**
     * Get groupedVoucherNumbers value
     * @return \Geniki\GenikiArray\GenikiArrayOfString|null
     */
    public function getGroupedVoucherNumbers()
    {
        return $this->groupedVoucherNumbers;
    }
    /**
     * Set groupedVoucherNumbers value
     * @param \Geniki\GenikiArray\GenikiArrayOfString $groupedVoucherNumbers
     * @return \Geniki\GenikiStruct\GenikiCreateGroupedVoucherJob
     */
    public function setGroupedVoucherNumbers(\Geniki\GenikiArray\GenikiArrayOfString $groupedVoucherNumbers = null)
    {
        $this->groupedVoucherNumbers = $groupedVoucherNumbers;
        return $this;
    }
}
